<!------------------------------------------
 #프로그램명	: 성적서 조회 (구 ERP)
 #날     짜	: 2019-02-25
 #업  체  명	: 컨설트인사이드
 #담  당  자	: 최재원(kkggan3@daum.net)
 #홈페이지주소	: http://www.duksan.kr
 #화면의 용도	: 구)ERP DB(=duksan_qc)에서 성적서를 조회하여 화면에 출력, PDF 다운로드
 #수 정 사 항	: (2019-02-25::최재원) 구ERP에서는 Exp.Date를 표시하지 않는다고 하여서 해당 내용 주석 처리함. -> 원코드에서는 존재.
 			  (2019-02-28::최재원) 성적서 출력결과값의 행 사이 간격을 수정(CSS,164번째줄) = padding-top/bottom 1px -> 0px
 			  (2019-03-11::최재원) 해외바이어 요청으로 Exp.Date 주석 제거 -> 재출력
------------------------------------------->

<?php
   
	include $_SERVER['DOCUMENT_ROOT'].'/lib/lib.php';
    
	$msds_list = new Msds\Msds_Class();

	/*
	$rs1; $SungNamel; $unit; $spec; $data_prt; $formula; $Cas; $Fw; $splFormula; $prtFormula; $totalRecord; $line_H; $oclass;
	$pseries;$pclass; $method; $experMan; $makeDate; $validity; $validity_E; $Lot; $grade; $i; $j; $k; $psect; $dot_sw; $sung;
	$SungName_align; $SungName_align1; $exper_data1_SungName_align; $spl; $lot_num; $mode; $pass;
	$makeDate_cal; $to_day; $acs_grade; $item_code; $rs2; $sql2; $spec1; */
	// 변수 개수 보소ㅋㅋㅋㅋㅋㅋㅋㅋㅋ
	
	$lot_num = $_GET["lot_num"];

	if($lot_num == "") {
		echo "<sciprt>alert('잘못 된 접근 방식입니다.'); window.close();</scrpit>";
		exit;
	}

	if(substr($lot_num, 0, 1) != "0") {
		$lot_num = "0".$lot_num;
	}

	// echo $lot_num."<br>";
	
	// 20160624 ERP 품목코드 및 Spec 가져오기
	$sql2 = "SELECT label2_productNo, label2_sect_form2, label2_capa_form2, label2_capa_form1 
			 FROM duksan_qc.duksan.label_prtlist 
			 WHERE label2_prtLot like '{$lot_num}' ";

	// echo $sql2."<br>";

	$row2 = sqlsrv_fetch_array(sqlsrv_query($conn, $sql2));

	// ex) lot_num = G60611
	if($row2["label2_productNo"] != "") {
		$item_code = $row2["label2_productNo"]; // 4035
		$spec1 = $row2["label2_capa_form2"]." ".$row2["label2_capa_form1"]; // 130 + " " + kg
	}

	/* 성적서 제품명 앞에 붙을 제조사명 조회 // 2019-02-21 심동선계장 요청 제조사명 표기 제거
	$sql = "SELECT A.[ItemSeq] ,A.[ItemNo], 
			(SELECT  MinorName FROM DUKSAN.dbo._TDAUMinor AS D33 WHERE  (B.MngValSeq = MinorSeq)) AS MAKER
			FROM [DUKSAN].[dbo].[_TDAItem] AS A
			LEFT JOIN
			DUKSAN.dbo._TDAItemUserDefine AS B 
			ON  A.ItemSeq = B.ItemSeq AND B.MngSerl = '1000003'
			WHERE ItemNo like '{$item_code}'";

	// echo $sql."<br>";

	$m_row = sqlsrv_fetch_array(sqlsrv_query($conn, $sql));
	$maker = $m_row["MAKER"] == "DSP" ? "Duksan" : $m_row["MAKER"];
	*/

	// 20160624 ERP 품목코드 및 Spec 가져오기 예시
	// ex) lot_num = G60611
	// item_code = labe2_productNo (item_code = 4035)
	// spec1 = label2_capa_form2 + " " + label2_capa_form1 (spec1 = 130 Kg)



	// 20140702 pcw 수정 Test by 비어있지 않도록 기존 선택된 시험자 영문명 가져오기
	$sql = "SELECT A.*, B.username_eng 
			FROM duksan_qc.duksan.experiment_data0 A 
			LEFT OUTER JOIN
			duksan_qc.duksan.tbl_user_info B 
			ON A.exper_data0_experman = B.username AND B.username_eng <> ''  
			WHERE A.exper_data0_lot LIKE '{$lot_num}'";

	// echo $sql."<br>";

	$row = sqlsrv_fetch_array(sqlsrv_query($conn, $sql));

	if($row["exper_data0_num"] != "") {

		$pseries		= $row["exper_data0_series"]; // 아래서도 사용 안함. 왜 만든지 모르겠음. 결과값은 대체적으로 NULL이 많음.
		$pclass			= $row["exper_data0_class"]; // n_Hexane 98% : 제품명
		$oclass			= $pclass;
		$method 		= $row["exper_data0_pmethod"]; // 일단 "" 값
		$experMan		= $row["exper_data0_experMan_Eng"]; // 마찬가지로 "" 값

		// 20140702 pcw 수정 Test by 비어있지 않도록 기존 선택된 시험자 영문명 가져오기		
		if($experMan == "") {
			$experMan = $row["username_eng"]; // Young-Sam, Yun : 시험자 영문명
		}

		$makeDate	= $row["exper_data0_makeDate"] -> format("Y-m-d H:i:s"); // 2016-06-24 00:00:00
		$showDate	= $row["exper_data0_makeDate"] -> format("Y-m-d"); // 20160624


		// 20140702 pcw 수정 Test by 비어있지 않도록 기존 선택된 시험자 영문명 가져오기
		// pclass = exper_data0_class (pclass , oclass = n_Hexane 98%)
		// method = exper_data0_pmethod ("")
		// experMan = exper_data0_experMan_Eng != "" ? exper_data0_experMan_Eng : username_eng (experMan = Young-Sam, Yun)
		// makeDate = exper_data0_makeDate ("2016-06-24 00:00:00")
		// showDate = exper_data0_makeDate ("20160624")

		
		

		

		// 20150602 pcw 시약일 경우 제조일로부터 5년 계산하여 6개월 이상 유효기간 남아있으면 제조일자, 유효기간 출력
		$makeDate_cal = date($makeDate, strtotime("+5 years")); // 2021-06-24 00:00:00
		$to_day = date("Y-m-d H:i:s"); // today

		$validity	= $row["exper_data0_pvalidity"];			   // 제조일로 부터 12개월
		$spl		= explode($row["exper_data0_pvalidity"], " "); // 제조일로 , 부터 , 12개월
		$pass		= $row["exper_data0_Pass"];					   // Pass

		switch ($spl[2]) {
			Case "6개월"	:	$validity_E = "6 months after Mfg. Date"; break;
			Case "12개월"	:	$validity_E = "1 years after Mfg. Date"; break; // 12개월이니까 일단 이거
			Case "24개월"	:	$validity_E = "2 years after Mfg. Date"; break;
			Case "36개월"	:	$validity_E = "3 years after Mfg. Date"; break;
			Case "60개월"	:	$validity_E = "5 years after Mfg. Date"; break;
			Default		:	$validity_E = "5 years after Mfg. Date";
		}
		$validity_E = $row["exper_data0_pvalidity"];//$exper_data0_pvalidity;
		// validity_E = 1 years after Mfg. Date;

		if(strtotime($makeDate) > strtotime("2006-01-01 00:00:00")) { // 제조일이 2006-01-01 이후라면
			$Lot = substr($row["exper_data0_Lot"], 1); // G6O611
		} else {
			$Lot = $row["exper_data0_Lot"]; // 이전이면 그냥 다 때려 박음
		}
		
		$psect		= $row["exper_data0_psectCode0"].$row["exper_data0_psectCode1"]; // H0



		if($pass == "No") { // 해당 결과가 패스가 아닐 때 알림창을 띄우고 해당 성적서 페이지를 닫는다.
			echo "<script>
					alert('Lot 번호 {$Lot}에 해당하는 성적서 결과가 등록되지 않았습니다. 품질보증부로 문의하여 주시기 바랍니다.(Tel:031-495-4057)');
					self.close();
				  </script>";
			exit;
		}



		// 20150602 pcw 시약일 경우 제조일로부터 5년 계산하여 6개월 이상 유효기간 남아있으면 제조일자, 유효기간 출력
		// makeDate_cal = (2021-06-24 00:00:00)
		// today = (오늘 일자)
		// validity = exper_data0_pvalidity (제조일로 부터 12개월)
		// pass = exper_data0_Pass (Pass)
		// spl[2] = (12개월)
		// validity_E = (1 years after Mfg. Date)
		// Lot = (G6O611)
		// psect = exper_data0_psectCode0 + exper_data0_psectCode1 (H0)


		
		
		// 20160613 pcw 수정 ACS 등급 모두 제조일자, 유효기간 표시 품질보증부 윤찬모 과장 요청
		$acs_grade	= trim($row["exper_data0_psectForm2"]); // EL
		$grade		= trim($row["exper_data0_psectForm2"]); // EL

		if($grade == "EP") {
			$grade = "Extra Pure";
		}

		$grade = $grade.trim($row["exper_data0_psectForm3"]); // EL + ""

		if($row["exper_data0_psectCode1"] == "3" || $row["exper_data0_psectCode1"] == "2") {
			if($row["exper_data0_oemLot"] != "") {
				$Lot= $row["exper_data0_oemLot"];
			}
		}
		
		$sql = "SELECT TOP 1 label0_prtName, label0_prtName_con, label0_prtNameSub
				FROM duksan_qc.duksan.label_basic 
				WHERE label0_prod_class = '{$oclass}' 
				AND label0_sect_code0 = '{$row[exper_data0_psectCode0]}' 
				AND label0_sect_code1 = '{$row[exper_data0_psectCode1]}' 
				AND label0_sect_form2 = '{$row[exper_data0_psectForm2]}' 
				AND label0_sect_form3 = '{$row[exper_data0_psectForm3]}' 
				AND label0_sect_form4 = '{$row[exper_data0_psectForm4]}'
				AND label0_catNo = '{$item_code}'
				GROUP BY label0_prtName, label0_prtName_con, label0_prtNameSub";

		// echo $sql."<br>";
		
		$row1 = $row1 = sqlsrv_fetch_array(sqlsrv_query($conn, $sql));

		if($row1["label0_prtName"] == "") {
			$pclass = $oclass;
		} else {
			$pclass = "CCC";

			if($row1["label0_prtName_con"] == "N") {
				$pclass	= $oclass; //20140819 pcw 수정 QC 윤찬모대리 요청
			} else {
				$pclass	= $row["label0_prtNameSub"];
			}
		}
	}


	$sql = "SELECT * FROM duksan_qc.duksan.msds WHERE msds_prod1_form = '{$oclass}'";

	// echo $sql."<br>";

	$res = sqlsrv_fetch_array(sqlsrv_query($conn, $sql));

	if($res["msds_num"] != "") {
		
		$Cas = $res["msds_prod1_Cas"]; // '110-54-3'
		$Fw  = $res["msds_FormulaWeight"];

		if($res["msds_Formula"] == "") {
			$prtFormula = ";";
		} else {
			$prtFormula = $res["msds_Formula"];
		}

		$splFormula = array();
		$splFormula = explode($prtFormula, ";");

		$j = strlen($splFormula[0]);
		$k = $j;

		$formula = str_split($splFormula[0]);
	}

	if($Cas != "") {
		$Cas = "[". $Cas . $res["msds_prod1_Cas"] . "] ";
	}

	if($Fw != "") {
		$Fw = " FW:". $res["msds_FormulaWeight"];
	}

	$sql = "SELECT a.* from duksan_qc.duksan.experiment_data1 a 
			INNER JOIN duksan_qc.duksan.experiment_data0 b 
			ON a.exper_data1_num0 = b.exper_data0_num
			WHERE b.exper_data0_lot = '{$lot_num}' 
			ORDER BY a.exper_data1_num_prt";

	// echo $sql."<br>";

	$report_res = sqlsrv_query($conn, $sql, array(), array( "Scrollable" => SQLSRV_CURSOR_KEYSET )); //정방향 키셋 설정
	$totalRecord = sqlsrv_num_rows($report_res); // CSS 설정용 행의 갯수
?>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> <!--크로스 브라우징-->
<title>성적서</title>
</head>

<style>
    #ca_print{
        width:100%;
    	margin: 0 auto;
    }
    #ca_print .ca_tit{
    	width: 97%;
    	margin: 10px auto;
	    margin-bottom: 20px;
    	text-align: center;
    }
    #ca_print .ca_table{
       width: 95%; 
       margin:5px auto;
       text-align: center;
    }
    
    #ca_print .ca_table tr th{
       font-size: 22px;
    }
    
    #ca_print .ca_table tr td{
        font-size: 14px;
    }
    
    #ca_print .ca_table2 {
       width: 95%; 
       margin:10px auto;
       text-align: center;
       margin-bottom:30px;
    }
    
    #ca_print .ca_table2 tr th{
       padding-bottom:3px;
       color: #ff0000;
       font-size:13px;
    }
    
    #ca_print .ca_table2 tr td{
       /*border-bottom:1px solid #c3c3c3;*/
       padding-top:0px;
       padding-bottom:0px;
	   font-size:11px;
    }
    
    #ca_print .ca_table3 {
       width:40%; 
       margin-left:15px;
       font-size:12px;
    }
    
    #ca_print .ca_table3 tr th,
    #ca_print .ca_table3 tr td{
       text-align:left;
    }
    
    
    #ca_print .bottom_sign{
	    position: fixed;
	    top: 85%;
		width: 100%;
		margin: 10px auto;
		padding: 15px;
		padding-top: 20px;
    }
</style>



<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<!-- PDF 변환 -->
<script src="/js/html2canvas.js"></script>
<script src="/js/html2canvas.min.js"></script>
<script src="/js/bluebird.min.js"></script>
<script src="/js/jspdf.min.js"></script>
<!-- PDF 변환 -->

<script language="JavaScript">
    function sWin() {

		window.resizeTo(800, 1080);
		
		setTimeout(function(){
			
			if(confirm('출력하시겠습니까?') == true) {
				window.print();
			}

			// down_chk();

		},1000);
    }

	function down_chk () {
		var confirm_chk = confirm('PDF 파일로 내려받기 하시겠습니까?\n(인터넷 환경에 따라 다운로드 시작 시간이 좀 걸릴 수 있습니다.)');
		
		if(confirm_chk == true) {
			pdf_load();
		}
	}



	function pdf_load() { // PDF 파일 다운로드
		var txt = $('.msdsName').html();
		var code = '<?php echo $_GET[lot_num] ?>';
		html2canvas(document.body, {
			  onrendered: function(canvas) {
			 
					// 캔버스를 이미지로 변환
					var imgData = canvas.toDataURL('image/png');
					 
					var imgWidth = 210; // 이미지 가로 길이(mm) A4 기준
					var pageHeight = imgWidth * 1.414;  // 출력 페이지 세로 길이 계산 A4 기준
					var imgHeight = canvas.height * imgWidth / canvas.width;
					var heightLeft = imgHeight;
				 
					var doc = new jsPDF('p', 'mm');
					var position = 0;
					 
					// 첫 페이지 출력
					doc.addImage(imgData, 'PNG', 0, position, imgWidth, imgHeight);
					heightLeft -= pageHeight;
					 
					// 한 페이지 이상일 경우 루프 돌면서 출력
					while (heightLeft >= 20) {
					  position = heightLeft - imgHeight;
					  doc.addPage();
					  doc.addImage(imgData, 'PNG', 0, position, imgWidth, imgHeight);
					  heightLeft -= pageHeight;
					}
			 
					// 파일 저장
					doc.save(txt+'('+code+').pdf');
			  }
		});
	}
</script>

<script> // PDF 파일 다운로드
	$(function(){
		
	});
</script>

<body onload="sWin()" >
<!-- <BODY oncontextmenu="return false" onselectstart="return false" ondragstart="return false" onkeydown = "return false">-->

<div id="ca_print">
	<p class="ca_tit"><img src="../../images/sub/title_01.gif" style="width:100%" alt="규격성적서"></p>
	<div style="min-height:600px;">
	<table class="ca_table">
	<?php if($k > 1) { ?>
		<tr>
			<span class="style1" style="color:#111111"></span>
			<th colspan="4" class="msdsName"><?php echo $pclass ?></th>
		</tr>

		<tr>
			<td colspan="4" style="font-size:13px; padding-top:15px;">
			<?php echo $Cas; ?> (&nbsp;&nbsp;
			<?php 
				$dot_sw = 0;

				foreach($formula as $value) {
					
					if(is_numeric($value)) {
						if($dot_sw == "0") { echo "<small>".$value."</small>"; } else { echo "<big>".$value."</big>"; }
					} else {
						if($value == "*") {
							$dot_sw = 1;
							echo "<font size='2'; weight = bold>ㆍ</font>";
						} else {
							echo $value;
							if($value == ".") { $dot_sw = 1; } else { $dot_sw = 0; }
						}
					}
				}
			?>
			&nbsp;&nbsp;) <?php echo $Fw; ?>
			</td>
		</tr>
	<?php } else { ?>
		<tr>
			<span class="style1" style="color:#111111"></span>
			<th colspan="4" class="msdsName"><?php echo $pclass ?></th>
		</tr>
		<tr>
			<td colspan="4" style="font-size:13px; padding-top:15px;">
				<?php echo $Cas; ?>&nbsp;<?php echo $prtFormula != ";" ? $prtFormula : "" ?>&nbsp;<?php echo $Fw; ?>
			</td>
		</tr>
	<?php } ?>

		<tr style="font-weight: bold;">
			<td rowspan="2" colspan="2" style="text-align:left; vertical-align:middle">
				Product code : <?php echo $item_code; ?>
			</td>
			<td colspan="2" style="text-align:right;">
				<?php echo $grade; ?>&nbsp;Grade
			</td>
		</tr>
		<tr style="font-weight: bold;">
			<td colspan="2" style="text-align:right;">
				Lot-<?php echo $Lot; ?>
			</td>
		</tr>
	</table>

	<!-- <p style="border-bottom:1px solid #b5b2ac; width:84%; margin:0px auto; margin-bottom:10px;"></p> -->
	<table class="ca_table2" cellspacing="0">
		<tr>
			<th style="text-align:left;">TESTS</th>
			<th>UNIT</th>
			<th>SPECIFICATION</th>
			<th>RESULTS</th>
		</tr>
		<?php 
			while($r_row = sqlsrv_fetch_array($report_res)) { 
				$SungName = $r_row["exper_data1_SungName"];
				$unit = $r_row["exper_data1_unit"];
				$spec = $r_row["exper_data1_spec"];
				$exper_data1_SungName_align	= trim($r_row["exper_data1_SungName_align"]);

				if($r_row["exper_data1_data_prt"] != "") {
					$data_prt = $r_row["exper_data1_data_prt"];
				} else {
					$data_prt = $r_row["exper_data1_data"];
				} 
				
				switch($exper_data1_SungName_align) {
					case "1" : $padding = ""; break;
					case "2" : $padding = ""; break;
					case "3" : $padding = ""; break;
					case "4" : $padding = ""; break;
					case "5" : $padding = "padding-left:100px;"; break;
					case "6" : $padding = ""; break;
					case "7" : $padding = "padding-left:10px;"; break;
					case "8" : $padding = "padding-left:90px;"; break;
					case "9" : $padding = "padding-left:37px;"; break;
				}
				?>
				<tr>
					<td style="text-align:left; <?php echo $padding ?>"><?php echo $SungName ?></td>
					<td><?php echo $unit != "" ? $unit : "-" ?></td>
					<td><?php echo $spec != "" ? $spec : "-" ?></td>
					<td><?php echo $data_prt != "" ? $data_prt : "-"?></td>
				</tr>
			<?php } ?>
	</table>

	<table class="ca_table3" >
	<?php if($psect == "P0" || $psect == "F0") { ?>
		<tr>
			<th>Test Method&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $method ?></td>
		</tr>
		<tr>
			<th>Mfg. Date&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $showDate ?></td>
		</tr>
		<!-- // 20190225 주석처리요청 (유통기한 미표시)
		<tr>
			<th>Exp. Date&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $validity_E ?></td>
		</tr>
		-->
		<tr>
			<th>Tested by&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $experMan ?></td>
		</tr>
	<?php } else if($psect == "H0" || $psect == "H2" || $psect == "H3") { ?>
		<tr>
			<th>Mfg.&nbsp;Date&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $showDate ?></td>
		</tr>
		<!-- // 20190225 주석처리요청 (유통기한 미표시)
		<tr>
			<th>Exp.&nbsp;Date&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $validity_E ?></td>
		</tr>
		-->
		<tr>
			<th>Tested by&nbsp;:&nbsp;&nbsp;</th>
			<td><?php echo $experMan ?></td>
		</tr>
	<?php } else { 
			if($grade == "GR/JP") { ?>
			<tr>
				<th>Test Method&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $method ?></td>
			</tr>
			<tr>
				<th>Mfg. Date&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $showDate ?></td>
			</tr>
			<!-- // 20190225 주석처리요청 (유통기한 미표시) // 20190311 해외바이어요청(유통기한 표시)주석해지 -->			
			<tr>
				<th>Exp. Date&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $validity_E ?></td>
			</tr>

			<tr>
				<th>Tested by&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $experMan ?></td>
			</tr>
		<?php } else { 
			if($psect = "G0" || $psect = "L0" || $acs_grade = "ACS") {
				// if($makeDate_cal->diff($today) > 186) { ?>
					<tr>
						<th>Mfg.&nbsp;Date&nbsp;:&nbsp;&nbsp;</th>
						<td><?php echo $showDate ?></td>
					</tr>
					<!-- // 20190225 주석처리요청 (유통기한 미표시) (유통기한 미표시) // 20190311 해외바이어요청(유통기한 표시)주석해지 -->
					<tr>
						<th>Exp.&nbsp;Date&nbsp;:&nbsp;&nbsp;</th>
						<td><?php echo $validity_E ?></td>
					</tr>
				<?php // }
			}
		} ?>
			<tr>
				<th>Test Method&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $method ?></td>
			</tr>
			<tr>
				<th>Tested by&nbsp;:&nbsp;&nbsp;</th>
				<td><?php echo $experMan ?></td>
			</tr>
		<?php } ?>
	</table>
	</div>
	
	<table class="bottom_sign">
        <tr>
			<td style="width:65%;">
				<p style="font-size:12px; line-height:15px;">
				<b style="font-size:14px; line-height:20px;line-height:25px;">DUKSAN PURE CHEMICALS CO. LTD</b><br>
				    53, Sinwon-ro 133beon-gil, Danwon-gu, Ansan-si, Gyeonggi-do, Korea<br>
					TEL : +82-31-495-6886	FAX : +82-31-495-5335<br>
					World Wide Web : WWW.DUKSAN.KR<br>
					E-mail : QC@DUKSAN.KR</p>
			</td>
			<td style="text-align: center;">
				<p><img src="/images/sub/choi.gif" width="180" height="101"></p>
			</td>
		</tr>
	</table>

  </div>
</body>
</HTML>
